ldns.h File Reference

Including this file will include all ldns files, and define some lookup tables. More...

Go to the source code of this file.

## Macros

#define | LDNS_IP4ADDRLEN (32/8)
#define | LDNS_IP6ADDRLEN (128/8)
#define | LDNS_PORT 53
#define | LDNS_ROOT_LABEL_STR "."
#define | LDNS_DEFAULT_TTL 3600

## Variables

ldns_lookup_table | ldns_certificate_types []
| Taken from RFC 2538, section 2.1.
ldns_lookup_table | ldns_algorithms []
| Taken from RFC 2535, section 7.
ldns_lookup_table | ldns_cert_algorithms []
| Taken from RFC 2538.
ldns_lookup_table | ldns_rr_classes []
| rr types
ldns_lookup_table | ldns_rcodes []
| Response codes.
ldns_lookup_table | ldns_opcodes []
| Operation codes.
ldns_lookup_table | ldns_edns_flags []
| EDNS flags.

## Detailed Description

Including this file will include all ldns files, and define some lookup tables.

Definition in file ldns.h.

## Macro Definition Documentation

## LDNS_IP4ADDRLEN

#define LDNS_IP4ADDRLEN (32/8)

Definition at line 132 of file ldns.h.

## LDNS_IP6ADDRLEN

#define LDNS_IP6ADDRLEN (128/8)

Definition at line 133 of file ldns.h.

## LDNS_PORT

#define LDNS_PORT 53

Definition at line 134 of file ldns.h.

## LDNS_ROOT_LABEL_STR

#define LDNS_ROOT_LABEL_STR "."

Definition at line 135 of file ldns.h.

## LDNS_DEFAULT_TTL

#define LDNS_DEFAULT_TTL 3600

Definition at line 136 of file ldns.h.

## Variable Documentation

## ldns_certificate_types

ldns_lookup_table ldns_certificate_types[]

extern

Taken from RFC 2538, section 2.1.

## ldns_algorithms

ldns_lookup_table ldns_algorithms[]

extern

Taken from RFC 2535, section 7.

Definition at line 53 of file host2str.c.

## ldns_cert_algorithms

ldns_lookup_table ldns_cert_algorithms[]

extern

Taken from RFC 2538.

Definition at line 84 of file host2str.c.

## ldns_rr_classes

ldns_lookup_table ldns_rr_classes[]

extern

rr types

Definition at line 99 of file host2str.c.

## ldns_rcodes

ldns_lookup_table ldns_rcodes[]

extern

Response codes.

Definition at line 109 of file host2str.c.

## ldns_opcodes

ldns_lookup_table ldns_opcodes[]

extern

Operation codes.

Definition at line 124 of file host2str.c.

## ldns_edns_flags

ldns_lookup_table ldns_edns_flags[]

extern

EDNS flags.

Definition at line 33 of file packet.c.